Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext
Class Linker

    java.lang.Object
      com.google.gwt.core.ext.Linker

Direct Known Subclasses:
  AbstractLinker

    public abstract class Linker

extends java.lang.Object

Defines a linker for the GWT compiler. Each Linker must be annotated with a `LinkerOrder` annotation to determine the relative ordering of the Linkers. Exact order of Linker execution will be determined by the order of `add-linker` tags in the module configuration.

Constructor Summary
`Linker()`

Method Summary
`abstract java.lang.String` | `getDescription()` Returns a human-readable String describing the Linker.
`abstract ArtifactSet` | `link(TreeLogger logger, LinkerContext context, ArtifactSet artifacts)` Invoke the Linker.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Linker

    public Linker()

Method Detail

### getDescription

    public abstract java.lang.String getDescription()

  Returns a human-readable String describing the Linker.

### link

    public abstract ArtifactSet link(TreeLogger logger,
                                     LinkerContext context,
                                     ArtifactSet artifacts)
                              throws UnableToCompleteException

  Invoke the Linker.

  Parameters:
    `logger` - the TreeLogger to record to
    `context` - provides access to the Linker's environment
    `artifacts` - an unmodifiable view of the artifacts to link
  Returns:
    the artifacts that should be propagated through the linker chain
  Throws:
    `UnableToCompleteException` - if compilation violates assumptions made by the Linker or for errors encountered by the Linker

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD